## noris-nagios-miscplugins 5.0-3

=== Makefile ===
build:

install:
	cp -r usr/ etc/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_smsgw --section=1 ${DESTDIR}/usr/share/man/man1/check_smsgw.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_last_modified --section=1 ${DESTDIR}/usr/share/man/man1/check_last_modified.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/map_states --section=1 ${DESTDIR}/usr/share/man/man1/map_states.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_end2end --section=1 ${DESTDIR}/usr/share/man/man1/check_end2end.1
	pod2man ${DESTDIR}/usr/bin/analysiere_nagioslog --section=1 ${DESTDIR}/usr/share/man/man1/analysiere_nagioslog.1

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-miscplugins (5.0-3) stable; urgency=low

  * check_multi ist dazugekommen 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 22 May 2009 17:28:12 +0200

noris-nagios-miscplugins (5.0-2) lenny; urgency=low

  * lenny statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 16 Apr 2009 09:10:23 +0200

noris-nagios-miscplugins (5.0-1) stable; urgency=low

  * New version for lenny 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 12:04:06 +0200

noris-nagios-miscplugins (4.0.5-10) stable; urgency=low

  * Versionsnummern korrigiert 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 27 Mar 2009 16:17:28 +0100

noris-nagios-miscplugins (4.0.5-9) stable; urgency=low

  * added check_fsc-bladecenter.pl and check_hp_agents

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 27 Mar 2009 15:27:28 +0100

noris-nagios-miscplugins (4.0.5-8) stable; urgency=low

  * check_smsgw: but also allow positive values. :-)
    And while we're at it: Let's use German messages.

 -- Martin H. Sluka <fany@noris.net>  Tue, 31 Mar 2009 16:01:41 +0200

noris-nagios-miscplugins (4.0.5-7) stable; urgency=low

  * check_smsgw: allow negative values for SMS contingent

 -- Martin H. Sluka <fany@noris.net>  Mon, 23 Mar 2009 16:31:18 +0100

noris-nagios-miscplugins (4.0.5-6) stable; urgency=low

  * RT#440386: have check_end2end treat erroneous values as critical

 -- Martin H. Sluka <fany@noris.net>  Tue, 08 Jul 2008 11:29:51 +0200

noris-nagios-miscplugins (4.0.5-5) stable; urgency=low

  * removal of check_bmc Plugins 

 -- Stefan Pfab <spfab@joe.office.noris.de>  Tue, 27 May 2008 14:04:43 +0200

noris-nagios-miscplugins (4.0.5-4) stable; urgency=low

  [ Florian octo Forster ]
  * RT#348009: check_smsgw: The `rrdtool' argument is not a no-op and the
    `debug' argument has been added.


 -- Florian octo Forster <octo@dev4.office.noris.de>  Mon, 19 May 2008 11:47:12 +0200

noris-nagios-miscplugins (4.0.5-3) stable; urgency=low

  * RT#348009-54: Fixed generating of debug message by default: 
    "illegal attempt to update using time * when last update time is *
    (minimum one second step)"
    
 -- Georg Gliniak <gliniak@noris.de>  Mon, 19 May 2008 10:26:01 +0200

no ris-nagios-miscplugins (4.0.5-2) stable; urgency=low

  * changed Database-Server to db1.noris.net.

 -- Hardy Kestin <hardy@noris.net>  Tue, 29 Apr 2008 08:44:13 +0200

noris-nagios-miscplugins (4.0.5-1) stable; urgency=low

  * RT#348009: check_smsgw: Lege RRD-Dateien automatisch an, wenn nicht
    vorhanden, und verwende das RRDs-Perl-Modul statt "rrdtool" auszufuehren.

 -- Florian octo Forster <octo@dev4.office.noris.de>  Mon, 21 Apr 2008 16:13:30 +0200
 

noris-nagios-miscplugins (4.0.4-1) stable; urgency=low

  [ Martin H. Sluka ]
  * RT#394262: maile_hotline-report gets mail headers from template

  [ Hardy Kestin ]
  * Fixed Package.
    - Added Build-Number to Package.
    - Finally Signed und Built Package.
    - See RT#402356.

 -- Hardy Kestin <hardy@noris.net>  Mon, 11 Feb 2008 11:52:33 +0100

noris-nagios-miscplugins (4.0.3-1) stable; urgency=low

  * RT#400175: added libdatetime-event-cron-perl

 -- Martin H. Sluka <fany@entwicklung.noris.de>  Tue, 29 Jan 2008 10:40:20 +0100

noris-nagios-miscplugins (4.0.2-2) stable; urgency=low

  * Changed user which runs the daily cronjob for maile_hotline-report.
  * Added Build-Version (-x) to Version-Number.

 -- Hardy Kestin <hardy@noris.net>  Thu, 17 Jan 2008 11:51:04 +0100

noris-nagios-miscplugins (4.0.2-1) stable; urgency=low 

  [ Martin H. Sluka ]
  * RT#394262: added tool analysiere_nagioslog,
               replaced mk_hotline.pl by maile_hotline-report
 
  [ Hardy Kestin ]
  * fany forgot to _build_ the package :-).

 -- Hardy Kestin <hardy@noris.net>  Thu, 17 Jan 2008 11:33:35 +0100

noris-nagios-miscplugins (4.0.1-4) stable; urgency=low

  [ Martin H. Sluka ]
  * RT#395298: check_end2end: new option -sql-runtime-max

  [ Hardy Kestin ]
  * Added Option "--sql-runtime-max 42" to template for check_end2end.

 -- Hardy Kestin <hardy@noris.net>  Thu, 10 Jan 2008 14:00:42 +0100

noris-nagios-miscplugins (4.0.1-3) stable; urgency=low

  * Fixed check_netapp.pl.
    - The "-T"-Switch doesn't work. Thanks to floek for pointing me on that.

 -- Hardy Kestin <hardy@noris.net>  Thu, 10 Jan 2008 11:03:25 +0100

noris-nagios-miscplugins (4.0.1-2) stable; urgency=low

  * New Upstream Release of check_end2end.
    - The old Version was terrible slow.

 -- Hardy Kestin <hardy@noris.net>  Thu, 10 Jan 2008 08:31:26 +0100

noris-nagios-miscplugins (4.0.1-1) stable; urgency=low

  * Added check_end2end (Feature-Request from RT#394648).
  * sysadm@monitor2:bin/check_end2end usr/lib/nagios/plugins/

 -- Hardy Kestin <hardy@noris.net>  Thu, 10 Jan 2008 08:26:58 +0100

noris-nagios-miscplugins (4.0-21) stable; urgency=low

  * modified check_status for nagios2.
  * ok..splitted it into check_status check_status2.

 -- Hardy Kestin <hardy@noris.net>  Thu, 18 Oct 2007 10:59:44 +0200

noris-nagios-miscplugins (4.0-20) stable; urgency=low

  * Changed Path to "/var/log/nagios2" in mk_hotline.pl
    - Fixes RT#364472

 -- Georg Gliniak <gliniak@noris.de>  Tue,  4 Sep 2007 10:23:36 +0200

noris-nagios-miscplugins (4.0-19) stable; urgency=low

  * Improved template for check_sms.

 -- Hardy Kestin <hardy@noris.net>  Mon, 13 Aug 2007 15:11:17 +0200

noris-nagios-miscplugins (4.0-18) stable; urgency=low

  * Removed Passwords from check_sms.

 -- Hardy Kestin <hardy@noris.net>  Mon, 13 Aug 2007 13:39:36 +0200

noris-nagios-miscplugins (4.0-17) stable; urgency=high

  * Splitted off Notify-Plugins.

 -- Hardy Kestin <hardy@noris.net>  Tue, 31 Jul 2007 11:00:38 +0200

noris-nagios-miscplugins (4.0-16) stable; urgency=low

  * Increased expire-time for RT-Notification from 3h to 16h. 
    - (Closes: #352515)

 -- Hardy Kestin <hardy@noris.net>  Thu, 12 Jul 2007 15:17:39 +0200

noris-nagios-miscplugins (4.0-15) stable; urgency=low

  * Added Plugin map_states.


=== debian/control ===
Source: noris-nagios-miscplugins
Section: noris/server
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.2

Package: noris-nagios-miscplugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libauthen-radius-perl, libdate-calc-perl, libdatetime-event-cron-perl, libdbd-mysql-perl, libdbi-perl, libnetsaint-noris-perl (>> 1.1), libnumber-format-perl, libtemplate-perl, libtimedate-perl, libwww-perl, perl (>= 5.6), perl-modules, librrds-perl, tftp | tftp-hpa, ipmitool
Build-Depends: libdbi-perl
Description: Misc plugins for NetSaint and Nagios.
 Nagios is a replacement of the Netsaint project. It accept and uses the
 previous Netsaint modules transparently.
 .
 Nagios is a host/service/network monitoring and management system. It has
 the following features: 
 .
 o  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
    PING, etc.) 
 o  Plugin interface to allow for user-developed service checks 
 o  Contact notifications when problems occur and get resolved (via email,
    pager, or user-defined method) 
 o  Ability to define event handlers to be run during service or host events
    (for proactive problem resolution) 
 o  Web output (current status, notifications, problem history, log file, etc.) 
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package contains homegrown plugins for Nagios and NetSaint.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-miscplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-miscplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-miscplugins 5.0-63

=== debian/changelog ===
noris-nagios-miscplugins (5.0-63) stable; urgency=low

  * Change request check_intershop_staging 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 27 Sep 2010 15:20:24 +0200

noris-nagios-miscplugins (5.0-62) stable; urgency=low

  * correction of check_intershop_staging 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 27 Sep 2010 11:41:34 +0200

noris-nagios-miscplugins (5.0-61) stable; urgency=low

  * complemented debian/conffiles 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 27 Sep 2010 11:27:23 +0200

noris-nagios-miscplugins (5.0-60) stable; urgency=low

  * new check_intershop_staging (Ticket 10261952) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 27 Sep 2010 11:00:31 +0200

noris-nagios-miscplugins (5.0-59) stable; urgency=low

  * maile_hotline-report so erweitert, dass bei "0 Alarme" nix kommt (Ticket
  * 620783) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 20 Sep 2010 13:45:53 +0200

noris-nagios-miscplugins (5.0-58) stable; urgency=low

  * removed check_netapp.pl (-> noris-nagios-netappplugins) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 23 Aug 2010 15:06:55 +0200

noris-nagios-miscplugins (5.0-57) stable; urgency=low

  * added alarm_count, modified maile_hotlinereport (RT#620783) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 18 Aug 2010 16:03:41 +0200

noris-nagios-miscplugins (5.0-56) stable; urgency=low

  * nt_services_without_snmp 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 17 Aug 2010 13:31:38 +0200

noris-nagios-miscplugins (5.0-55) stable; urgency=low

  * rm check_fsc_bladecenter.pl (RT#622674) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 05 Aug 2010 10:24:30 +0200

noris-nagios-miscplugins (5.0-54) stable; urgency=low

  *  change in check_nt_common_services (RT#622180)

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 02 Aug 2010 11:52:50 +0200

noris-nagios-miscplugins (5.0-53) stable; urgency=low

  * Error (nagios*) in maile_hotline-report (RT#614209) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 07 Jul 2010 09:42:43 +0200

noris-nagios-miscplugins (5.0-52) stable; urgency=low

  * change in documentation (RT#615621) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 07 Jul 2010 08:36:11 +0200

noris-nagios-miscplugins (5.0-51) stable; urgency=low

  * chech_activemq.pl nochmals angepasst

 -- Stefan Steiner <ssteiner@jack64>  Tue, 06 Jul 2010 16:43:46 +0200

noris-nagios-miscplugins (5.0-50) stable; urgency=low

  * added check_activemq.pl in miscplugins (RT#612103)

 -- Stefan Steiner <ssteiner@jack64>  Mon, 05 Jul 2010 16:27:50 +0200

noris-nagios-miscplugins (5.0-49) stable; urgency=low

  * 32bit build 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 24 Jun 2010 14:06:28 +0200

noris-nagios-miscplugins (5.0-48) stable; urgency=low

  * added check_monitoring (RT#612130) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 24 Jun 2010 13:56:16 +0200

noris-nagios-miscplugins (5.0-47) stable; urgency=low

  * some new nt-commands (RT#610121) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 15 Jun 2010 16:28:13 +0200

noris-nagios-miscplugins (5.0-46) stable; urgency=low

  * another new windows check 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 09 Jun 2010 13:53:25 +0200

noris-nagios-miscplugins (5.0-45) stable; urgency=low

  * corrected some mistakes 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 09 Jun 2010 10:05:22 +0200

noris-nagios-miscplugins (5.0-44) stable; urgency=low

  * added new windows checks 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 09 Jun 2010 09:56:59 +0200

noris-nagios-miscplugins (5.0-43) stable; urgency=low

  * moved netscreen plugins to netscreen package

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 01 Jun 2010 12:55:01 +0200

noris-nagios-miscplugins (5.0-42) stable; urgency=low

  * added check_netscreen_policy_vsys 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 01 Jun 2010 11:48:52 +0200

noris-nagios-miscplugins (5.0-41) stable; urgency=low

  * changes in check_netscreen_vpn_vsys (RT#606349)

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 31 May 2010 17:48:09 +0200

noris-nagios-miscplugins (5.0-40) stable; urgency=low

  * added manually edited nt.cfg features 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 28 May 2010 15:55:19 +0200

noris-nagios-miscplugins (5.0-39) stable; urgency=low

  * added config file for check_x224 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 26 Apr 2010 12:57:22 +0200

noris-nagios-miscplugins (5.0-38) stable; urgency=low

  * new check_syslog version 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 26 Apr 2010 11:26:35 +0200

noris-nagios-miscplugins (5.0-37) stable; urgency=low

  * added check_x224 for rdp (RT #597930)

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 26 Apr 2010 11:20:11 +0200

noris-nagios-miscplugins (5.0-36) stable; urgency=low

  * check_syslog, next try 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 23 Apr 2010 14:21:25 +0200

noris-nagios-miscplugins (5.0-35) stable; urgency=low

  * new plugins (RT#596501)

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 23 Apr 2010 10:20:53 +0200

noris-nagios-miscplugins (5.0-34) stable; urgency=low

  * new check_syslog (RT#596418) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 20 Apr 2010 13:18:14 +0200

noris-nagios-miscplugins (5.0-33) stable; urgency=low

  * new check_netscreen_vpn_vsys (RT#596014) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 19 Apr 2010 18:01:07 +0200

noris-nagios-miscplugins (5.0-32) stable; urgency=low

  * Bugfix in check_netscreen_vpn_vsys, RT#595375

 -- Georg Gliniak <itchy@jack.office.noris.de>  Fri, 16 Apr 2010 09:19:07 +0200

noris-nagios-miscplugins (5.0-30) stable; urgency=low

  * Added check_netscreen_vpn_vsys, RT#594340

 -- Alexander Krogloth <alex@jack.office.noris.de>  Mon, 12 Apr 2010 17:02:57 +0200



=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: noris/server
 Priority: optional
 Maintainer: Hardy Kestin <hardy@noris.net>
-Build-Depends: debhelper (>> 5)
+Build-Depends: debhelper (>> 5), libdbi-perl
 Standards-Version: 3.7.2
 
 Package: noris-nagios-miscplugins
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libauthen-radius-perl, libdate-calc-perl, libdatetime-event-cron-perl, libdbd-mysql-perl, libdbi-perl, libnetsaint-noris-perl (>> 1.1), libnumber-format-perl, libtemplate-perl, libtimedate-perl, libwww-perl, perl (>= 5.6), perl-modules, librrds-perl, tftp | tftp-hpa, ipmitool
-Build-Depends: libdbi-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libauthen-radius-perl, libdate-calc-perl, libdatetime-event-cron-perl, libdbd-mysql-perl, libdbi-perl, libnetsaint-noris-perl (>> 1.1), libnoris-date-calendar-profiles-perl, libnumber-format-perl, libtemplate-perl, libtimedate-perl, libwww-perl, perl (>= 5.6), perl-modules, librrds-perl, tftp | tftp-hpa, ipmitool, libconfig-simple-perl, libdbd-sybase-perl
 Description: Misc plugins for NetSaint and Nagios.
  Nagios is a replacement of the Netsaint project. It accept and uses the
  previous Netsaint modules transparently.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # This is the debhelper compatibility version to use.
 #export DH_COMPAT=4
 
-
+#LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/lib:/usr/lib:usr/lib
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
